QwtPlotCanvas(3)

NAME
QwtPlotCanvas -

SYNOPSIS

#include <qwt_plot_canvas.h>

  Public Types
enum FocusIndicator { NoFocusIndicator, CanvasFocusIndicator, ItemFocusIndicator }
enum PaintAttribute { PaintCached = 1, PaintPacked = 2 }

  Public Member Functions
QwtPlotCanvas (QwtPlot *)
virtual ~QwtPlotCanvas ()
FocusIndicator focusIndicator () const
void invalidatePaintCache ()
QPixmap * paintCache ()
const QPixmap * paintCache () const
QwtPlot * plot ()
const QwtPlot * plot () const
void replot ()
void setFocusIndicator (FocusIndicator)
void setPaintAttribute (PaintAttribute, bool on=true)
bool testPaintAttribute (PaintAttribute) const

  Protected Member Functions
void drawCanvas (QPainter *painter=NULL)
virtual void drawContents (QPainter *)
virtual void drawFocusIndicator (QPainter *)
virtual void hideEvent (QHideEvent *)
virtual void paintEvent (QPaintEvent *)

Detailed Description

Canvas of a QwtPlot. See also:
    QwtPlot

Member Enumeration Documentation

  enum QwtPlotCanvas::FocusIndicator

Focus indicator. .IP "•" 2 NoFocusIndicator
 Don't paint a focus indicator

•   CanvasFocusIndicator
     The focus is related to the complete canvas. Paint the focus indicator using paintFocus()

•   ItemFocusIndicator
     The focus is related to an item (curve, point, ...) on the canvas. It is up to the application to display a focus indication using f.e. highlighting.

See also:
    setFocusIndicator(), focusIndicator(), paintFocus()

  enum QwtPlotCanvas::PaintAttribute

Paint attributes. .IP "•" 2 PaintCached
 Paint double buffered and reuse the content of the pixmap buffer for some spontaneous repaints that happen when a plot gets unhidden, deiconified or changes the focus. Disabling the cache will improve the performance for incremental paints (using QwtPlotCurve::draw).

•   PaintPacked
     Suppress system background repaints and paint it together with the canvas contents. Painting packed might avoid flickering for expensive repaints, when there is a notable gap between painting the background and the plot contents.

The default setting enables PaintCached and PaintPacked

See also:
    setPaintAttribute(), testPaintAttribute(), paintCache()

Member Function Documentation

  void QwtPlotCanvas::drawCanvas (QPainter *painter = NULL) [protected]
Draw the the canvas

Paints all plot items to the contentsRect(), using QwtPlot::drawCanvas and updates the paint cache.

Parameters:
    painter Painter

See also:
    QwtPlot::drawCanvas(), setPaintAttributes(), testPaintAttributes()

  void QwtPlotCanvas::drawContents (QPainter *painter) [protected], [virtual]
Redraw the canvas, and focus rect

Parameters:
    painter Painter

  void QwtPlotCanvas::drawFocusIndicator (QPainter *painter) [protected], [virtual]
Draw the focus indication

Parameters:
    painter Painter

  QwtPlotCanvas::FocusIndicator QwtPlotCanvas::focusIndicator () const
Returns:
    Focus indicator

See also:
    FocusIndicator, setFocusIndicator()

  void QwtPlotCanvas::hideEvent (QHideEvent *event) [protected], [virtual]
Hide event

Parameters:
    event Hide event

  void QwtPlotCanvas::paintEvent (QPaintEvent *event) [protected], [virtual]
Paint event

Parameters:
    event Paint event

  void QwtPlotCanvas::replot ()
Invalidate the paint cache and repaint the canvas

See also:
    invalidatePaintCache()

  void QwtPlotCanvas::setFocusIndicator (FocusIndicatorfocusIndicator)
Set the focus indicator

See also:
    FocusIndicator, focusIndicator()

  void QwtPlotCanvas::setPaintAttribute (PaintAttributeattribute, boolon = true)

Changing the paint attributes. Parameters:
    attribute Paint attribute
    on On/Off

The default setting enables PaintCached and PaintPacked

See also:
    testPaintAttribute(), drawCanvas(), drawContents(), paintCache()

  bool QwtPlotCanvas::testPaintAttribute (PaintAttributeattribute) const
Test wether a paint attribute is enabled

Parameters:
    attribute Paint attribute

Returns:
    true if the attribute is enabled

See also:
    setPaintAttribute()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.